Add Kitchen Themes
post
/config/sim/v2/setup/kitchenThemes
Adds a Kitchen Theme
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Kitchen Theme insert and update request body
Root Schema : schema
Type:
Show Source
object-
hierUnitId(required):
integer
Unique hierarchy unit value.Example:
10088 -
kdsClients:
array kdsClients
KDS client records linked to the Kitchen Theme.
-
name(required):
object name
A group of string objects representing the name of the Kitchen Theme in configured languages.
-
objectNum(required):
integer
Minimum Value:
1Maximum Value:999999999Object number of the Kitchen Theme.Example:973900 -
orderDevices:
array orderDevices
Order device records linked to the Kitchen Theme. KDS settings, KDS options, links, associations, and primaryDistributionGroup apply only when ordDeviceType is 1 and primaryDeviceType is 1.
-
orderTypes:
array orderTypes
Order type records linked to the Kitchen Theme.
-
rvcTypeOptions:
string
Minimum Length:
32Maximum Length:3232-character RVC type option mask.Example:10000000000000000000000000000000 -
workstations:
array workstations
Workstation records linked to the Kitchen Theme.
Nested Schema : name
Type:
objectA group of string objects representing the name of the Kitchen Theme in configured languages.
Example:
{
"263":"API KT 3",
"302":"API KT 3 FR"
}Nested Schema : orderDevices
Type:
arrayOrder device records linked to the Kitchen Theme. KDS settings, KDS options, links, associations, and primaryDistributionGroup apply only when ordDeviceType is 1 and primaryDeviceType is 1.
Show Source
Nested Schema : workstations
Type:
arrayWorkstation records linked to the Kitchen Theme.
Show Source
Nested Schema : items
Type:
Show Source
object-
bumpBar:
integer
Minimum Value:
0Maximum Value:999999999Example:1 -
objectNum(required):
integer
Minimum Value:
1Maximum Value:999999999Object number of the KDS client.Example:100 -
panelConfiguration:
array panelConfiguration
Maximum Number of Items:
9 -
panelLayout:
integer
Minimum Value:
0Maximum Value:2Example:0 -
serpentineMode:
integer
Minimum Value:
0Maximum Value:2Example:0 -
statusBar:
integer
Minimum Value:
0Maximum Value:999999999Example:0 -
toolBar:
integer
Minimum Value:
0Maximum Value:999999999Example:1
Nested Schema : items
Type:
Show Source
object-
capacity:
integer
Minimum Value:
0Maximum Value:999Example:0 -
chitColumns:
integer
Minimum Value:
1Maximum Value:9Example:1 -
chitRows:
integer
Minimum Value:
0Maximum Value:9Example:0 -
panelNum:
integer
Minimum Value:
1Maximum Value:9Example:1 -
proportion:
integer
Minimum Value:
0Maximum Value:99Example:1
Nested Schema : items
Type:
Show Source
object-
associations:
array associations
-
backupDevice:
integer
Minimum Value:
0Maximum Value:999999999Example:1 -
condimentSortType:
integer
Minimum Value:
0Maximum Value:2Example:1 -
device:
integer
Minimum Value:
0Maximum Value:999999999Example:100 -
kdsOptions:
string
Minimum Length:
48Maximum Length:4848-character KDS option mask. Options 1 and 3, 7 and 23, and 28 and 35 cannot be selected together. Option 32 requires option 3; options 33 and 34 require option 32.Example:100000000000001000000000000000000000000000000000 -
kdsSettings:
object kdsSettings
-
links:
array links
-
ordDeviceIndex(required):
integer
Minimum Value:
1Maximum Value:32Example:1 -
ordDeviceType:
integer
Minimum Value:
1Maximum Value:2Example:1 -
orderDeviceRedirect:
integer
Minimum Value:
0Maximum Value:32Example:2 -
primaryDeviceType:
integer
Minimum Value:
0Maximum Value:1Example:1 -
primaryDistributionGroup:
integer
Minimum Value:
0Maximum Value:32Example:0 -
rvcHierUnitId(required):
integer
Unique hierarchy unit value of the revenue center.Example:
10091
Nested Schema : kdsSettings
Type:
Show Source
object-
addHighlightScheme:
integer
Minimum Value:
0Maximum Value:999999999Example:0 -
addSortRule:
integer
Minimum Value:
0Maximum Value:2Example:1 -
backupRunnerChitPrint:
integer
Minimum Value:
0Maximum Value:999999999Example:0 -
beepOnNewOrder:
integer
Minimum Value:
0Maximum Value:3Example:1 -
beepOnPrioritizeIncremental:
integer
Minimum Value:
0Maximum Value:3Example:1 -
beepOnRush:
integer
Minimum Value:
0Maximum Value:3Example:1 -
beepOnVIP:
integer
Minimum Value:
0Maximum Value:3Example:1 -
course1FirstAlertTime:
integer
Minimum Value:
0Maximum Value:9999Example:10 -
course1SecondAlertTime:
integer
Minimum Value:
0Maximum Value:9999Example:20 -
displayNewOrderNotification:
boolean
Example:
true -
domType:
integer
Minimum Value:
0Maximum Value:3Example:1 -
modifyHighlightScheme:
integer
Minimum Value:
0Maximum Value:999999999Example:0 -
modifySortRule:
integer
Minimum Value:
0Maximum Value:2Example:1 -
newOrderNotificationTime:
integer
Minimum Value:
0Maximum Value:9999Example:15 -
otherCourseFirstAlertTime:
integer
Minimum Value:
0Maximum Value:9999Example:30 -
otherCourseSecondAlertTime:
integer
Minimum Value:
0Maximum Value:9999Example:40 -
primaryRunnerChitPrint:
integer
Minimum Value:
0Maximum Value:999999999Example:0 -
sendToPanel:
integer
Minimum Value:
1Maximum Value:9Example:1 -
voidHighlightScheme:
integer
Minimum Value:
0Maximum Value:999999999Example:0 -
voidSortRule:
integer
Minimum Value:
0Maximum Value:2Example:1 -
workflow:
integer
Minimum Value:
0Maximum Value:999Example:1
Nested Schema : items
Type:
Show Source
object-
associatedOrderDevice:
integer
Minimum Value:
1Maximum Value:32Example:4 -
lane:
integer
Minimum Value:
0Maximum Value:2Example:1
Nested Schema : items
Type:
Show Source
object-
linkedOrderDevice:
integer
Minimum Value:
1Maximum Value:32Example:3
Nested Schema : items
Type:
Show Source
object-
orderDevicesOptions:
string
Minimum Length:
32Maximum Length:3232-character order device option mask.Example:10000000000000000000000000000000 -
ordTypeIndex(required):
integer
Minimum Value:
1Maximum Value:32Example:1 -
rvcHierUnitId(required):
integer
Unique hierarchy unit value of the revenue center.Example:
10091
Nested Schema : items
Type:
Show Source
object-
objectNum(required):
integer
Minimum Value:
1Maximum Value:999999999Example:1 -
orderDevicesOptions:
string
Minimum Length:
32Maximum Length:3232-character order device option mask.Example:10000000000000000000000000000000
Response
Supported Media Types
- application/json
200 Response
Kitchen Theme added.
Root Schema : schema
Type:
Show Source
object-
hierUnitId:
integer
Unique hierarchy unit value.Example:
10088 -
objectNum:
integer
Object number of the Kitchen Theme.Example:
973900